summaryrefslogtreecommitdiff
path: root/tests/fate-run.sh
diff options
context:
space:
mode:
authorJustin Ruggles <justin.ruggles@gmail.com>2012-03-10 16:37:41 -0500
committerJustin Ruggles <justin.ruggles@gmail.com>2012-03-15 17:06:17 -0400
commit90e5b58a53d863a43a86eea81295097dae13b25a (patch)
tree6b2f906cbb10da8d5dabb5f753cfb4a88df02da5 /tests/fate-run.sh
parentcffd7580bbdf29ae5b1e56af55ff21e8c85bba6c (diff)
FATE: add capability for audio encode/decode tests with fuzzy psnr comparison
This allows for testing floating-point audio encoders across different platforms where exact comparisons are unreliable due to float rounding differences.
Diffstat (limited to 'tests/fate-run.sh')
-rwxr-xr-xtests/fate-run.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index 40a4fe2f6d..dcfbc842da 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -85,6 +85,16 @@ pcm(){
avconv "$@" -vn -f s16le -
}
+enc_dec_pcm(){
+ out_fmt=$1
+ pcm_fmt=$2
+ shift 2
+ encfile="${outdir}/${test}.${out_fmt}"
+ cleanfiles=$encfile
+ avconv -i $ref "$@" -f $out_fmt -y $encfile || return
+ avconv -i $encfile -c:a pcm_${pcm_fmt} -f wav -
+}
+
regtest(){
t="${test#$2-}"
ref=${base}/ref/$2/$t